/**
 * BOI Software - Set of imaging libraries with support for JPEG2000 (ISO/IEC 15444-1)
 * Copyright (C) 2010 - Francesc Auli-Llinas
 *
 * This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package BOICode;


/**
 * This class is used by many others to obtain default values of BOI coder. It's useful to put all default values here because many of them are used in more than one site.
 *
 * @author Francesc Auli-Llinas
 * @version 1.0
 */
public class CoderDefaultValues{

	/**
	 * Definition in {@link BOICode.Coder#CVerbose}
	 */
	public static boolean[] CVerbose = {false, false};

	/**
	 * Definition in {@link BOICode.Coder#CFileHeader}
	 */
	public static int CFileHeader = 1;

	/**
	 * Definition in {@link BOICode.Coder#CFileProgression}
	 */
	public static int CFileProgression = 0;

	/**
	 * Definition in {@link BOICode.Transform.WaveletTransform#WTTypes}
	 */
	public static int WTType = 2;

	/**
	 * Definition in {@link BOICode.Transform.WaveletTransform#WTLevels}
	 */
	public static int WTLevels = 5;

	/**
	 * Definition in {@link BOICode.Transform.Quantization} (see source code)
	 */
	public static int QGuardBits = 2;

	/**
	 * Definition in {@link BOICode.Code.BlockDivision#BDBlockWidths}
	 */
	public static int BDBlockWidth = 6;

	/**
	 * Definition in {@link BOICode.Code.BlockDivision#BDBlockHeights}
	 */
	public static int BDBlockHeight = 6;

	/**
	 * Definition in {@link BOICode.RateDistortion.LayerCalculation#LCType}
	 */
	public static int LCType = 0;

	/**
	 * Definition in {@link BOICode.RateDistortion.LayerCalculation#LCTargetNumLayers}
	 */
	public static int LCTargetNumLayers = 0;

	/**
	 * Definition in {@link BOICode.RateDistortion.LayerCalculation#LCTargetNumBytes}
	 */
	public static int LCTargetNumBytes = 0;

	/**
	 * Definition in {@link BOICode.RateDistortion.LayerCalculation#LCForceSingleLayer}
	 */
	public static boolean LCForceSingleLayer = true;

	/**
	 * Definition in {@link BOICode.Coder#CThreadNumber}
	 */
	public static int CThreadNumber = 4;

}

